@use '@angular/material' as mat;
@use 'partials/components/borders';
@use 'partials/components/tabs';
@use 'partials/colors';

.tab {
  text-align: center;
}

.tab-switch {
  display: none;
}

.tab-label {
  position: relative;
  display: block;
  line-height: tabs.$new-app-tab-label-line-height;
  height: tabs.$new-app-tab-label-height;
  color: colors.$light-primary-text;
  background-color: mat.get-color-from-palette(colors.$emp-gray, 900);
  cursor: pointer;
  top: 0;
  border-bottom: borders.$standard-border;
  border-left: borders.$standard-border;
  border-right: borders.$standard-border;
}

.tab-content {
  width: 100%;
  height: calc(100% - #{tabs.$new-app-tab-label-height});
  position: absolute;
  top: tabs.$new-app-tab-label-height;
  left: 0;
  color: colors.$light-primary-text;
  cursor: default;
  display: none;
}

.tab-switch:checked + .tab-label {
  color: colors.$light-primary-text;
  background-color: mat.get-color-from-palette(colors.$emp-light-gray, 500);
  border: none;
}

.tab-switch:checked + label + .tab-content {
  display: block;
}
